@anonymous-piwik-user opened this Issue on June 8th 2009

I upgraded to 0.4 from the latest stable release. After the upgrade, I still see the upgrade message at the top (only change: it is displayed in German now). Also, the link to the changelog is very strange. See below:

"Piwik 0.4 ist verfgbar.
Bitte jetzt ein Update machen! (siehe nderung0.000000e+0n)."

During the upgrade process, I was asked to upgrade the database to version "0.4RC3", not version "0.4". Maybe that's the problem? A look at the source of the page also shows "Piwik 0.4RC3" as the current version:

<meta name="generator" content="Piwik 0.4RC3" />

Otherwise, the new version works fine.

@mattab commented on June 8th 2009 Owner

your proxy must have cached the latest.zip; try shift click to force to load the right latest.zip

@anonymous-piwik-user commented on June 8th 2009

Matt, my server does not use a proxy, sorry. Also note, that I used an automatic upgrade, so shift+click would not help here.

Anyway, I downloaded the latest.zip manually (no proxy here either and cache is disabled) and the core/Version.php still shows 0.4RC3. Maybe you forgot to update it on the server?

@mattab commented on June 8th 2009 Owner

oops, you are correct, there was a bug in the release script; I re-released 0.4; can you please

  • delete UpdateCheck_LastTimeChecked and UpdateCheck_LatestVersion from the piwik_option table
  • go to the UI and try the one click upgrade again?
@anonymous-piwik-user commented on June 8th 2009

Thank you, it worked like a charm now!

This Issue was closed on June 8th 2009
Powered by GitHub Issue Mirror